Last modified: 2013-07-05 21:36:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 47686 - Hide "(optional)" when I check "Use a temporary random password and send it to the email address specified below"
Hide "(optional)" when I check "Use a temporary random password and send it t...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
User login and signup (Other open bugs)
1.22.0
All All
: Normal enhancement (vote)
: ---
Assigned To: Matthew Flaschen
: easy
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-04-25 23:39 UTC by Thehelpfulone
Modified: 2013-07-05 21:36 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Thehelpfulone 2013-04-25 23:39:14 UTC
https://en.wikipedia.org/w/index.php?title=Special:UserLogin&type=signup&returnto=Main+Page&useNew=1 

If I check "Use a temporary random password and send it to the email address specified below" then is it possible to make the "(optional)" part of "Email address (optional)" disappear? 

This is because the email address is *not* optional when this box is checked, as that's the only field (other than the username) that the user provides.
Comment 1 Gerrit Notification Bot 2013-04-26 00:13:43 UTC
Related URL: https://gerrit.wikimedia.org/r/60952 (Gerrit Change Iaf789db6e49396a19decdc2e5ee5cccf155fe78d)
Comment 2 Liangent 2013-05-15 07:24:42 UTC
This bug appears on both new and old account creation interface.
Comment 3 Gerrit Notification Bot 2013-07-05 21:35:53 UTC
Change 60952 merged by jenkins-bot:
Make it show email as required if you choose to email a random password.

https://gerrit.wikimedia.org/r/60952

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links